Package com.verisign.epp.codec.idntable

## Enum EPPIdnTableInfoCmd.Form

- java.lang.Object
- - java.lang.Enum<EPPIdnTableInfoCmd.Form>
  - - com.verisign.epp.codec.idntable.EPPIdnTableInfoCmd.Form

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPIdnTableInfoCmd.Form>`
  Enclosing class:
    EPPIdnTableInfoCmd

      public static enum EPPIdnTableInfoCmd.Form
      extends java.lang.Enum<EPPIdnTableInfoCmd.Form>

  Info form types, that include:
  - `UNDEFINED_FORM` that represents an undefined state, where none of the forms can be determined.
  - `DOMAIN_FORM` that represents the "Domain Info Form".
  - `TABLE_FORM` that represents the "Table Info Form".
  - `LIST_FORM` that represents the "List Info Form".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOMAIN_FORM` |
    `LIST_FORM` |
    `TABLE_FORM` |
    `UNDEFINED_FORM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPIdnTableInfoCmd.Form` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPIdnTableInfoCmd.Form[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED_FORM

          public static final EPPIdnTableInfoCmd.Form UNDEFINED_FORM

    - #### DOMAIN_FORM

          public static final EPPIdnTableInfoCmd.Form DOMAIN_FORM

    - #### TABLE_FORM

          public static final EPPIdnTableInfoCmd.Form TABLE_FORM

    - #### LIST_FORM

          public static final EPPIdnTableInfoCmd.Form LIST_FORM

  - ### Method Detail

    - #### values

          public static EPPIdnTableInfoCmd.Form[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPIdnTableInfoCmd.Form c : EPPIdnTableInfoCmd.Form.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPIdnTableInfoCmd.Form valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null